Debian Bug report logs - #532492
lxterminal: fails to start, reports BadValue

version graph

Package: lxterminal; Maintainer for lxterminal is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>; Source for lxterminal is src:lxterminal.

Reported by: David Bremner <bremner@unb.ca>

Date: Tue, 9 Jun 2009 16:30:04 UTC

Severity: important

Found in version lxterminal/0.1.5-1

Fixed in version lxterminal/0.1.7-1

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#532492; Package lxterminal. (Tue, 09 Jun 2009 16:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@unb.ca>:
New Bug report received and forwarded. Copy sent to Andrew Lee <andrew@linux.org.tw>. (Tue, 09 Jun 2009 16:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lxterminal: fails to start, reports BadValue
Date: Tue, 09 Jun 2009 13:24:52 -0300
Package: lxterminal
Version: 0.1.5-1
Severity: important


lxterminal works fine for me on two intel graphics/single head/i386/sid machines.

On my xinerama/radeonhd/amd64/lenny+sid based machine I get the
following error message when I try to start lxterminal:

The program 'lxterminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 204 error_code 2 request_code 94 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I haven't figured out so far how to get a stacktrace out of it; I did
recompile with symbols, but still couldn't find the referenced symold
gdk_x_error.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (900, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lxterminal depends on:
ii  libatk1.0-0                   1.24.0-2   The ATK accessibility toolkit
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libcairo2                     1.8.6-2+b1 The Cairo 2D vector graphics libra
ii  libfontconfig1                2.6.0-3    generic font configuration library
ii  libfreetype6                  2.3.7-2    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.20.0-2   The GLib library of C routines
ii  libgtk2.0-0                   2.14.7-5   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.24.0-3   Layout and rendering of internatio
ii  libvte9                       1:0.20.1-1 Terminal emulator widget for GTK+ 
ii  libx11-6                      2:1.2-1    X11 client-side library

lxterminal recommends no packages.

lxterminal suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#532492; Package lxterminal. (Wed, 15 Jul 2009 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. (Wed, 15 Jul 2009 11:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 532492@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: 532492@bugs.debian.org
Subject: lxterminal 0.1.6-1
Date: Wed, 15 Jul 2009 19:39:51 +0800
Hi David,

Could you please confirm lxterminal 0.1.6 fixed this bug or not?

If it's not, could you please provide a gdb backtrace?

Thanks,

-Andrew




Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 10:21:05 GMT) Full text and rfc822 format available.

Notification sent to David Bremner <bremner@unb.ca>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 10:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 532492-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 532492-close@bugs.debian.org
Subject: Bug#532492: fixed in lxterminal 0.1.7-1
Date: Mon, 15 Mar 2010 10:17:25 +0000
Source: lxterminal
Source-Version: 0.1.7-1

We believe that the bug you reported is fixed in the latest version of
lxterminal, which is due to be installed in the Debian FTP archive:

lxterminal_0.1.7-1.debian.tar.gz
  to main/l/lxterminal/lxterminal_0.1.7-1.debian.tar.gz
lxterminal_0.1.7-1.dsc
  to main/l/lxterminal/lxterminal_0.1.7-1.dsc
lxterminal_0.1.7-1_i386.deb
  to main/l/lxterminal/lxterminal_0.1.7-1_i386.deb
lxterminal_0.1.7.orig.tar.gz
  to main/l/lxterminal/lxterminal_0.1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated lxterminal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 16:48:05 +0700
Source: lxterminal
Binary: lxterminal
Architecture: source i386
Version: 0.1.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 lxterminal - desktop independent vte-based terminal emulator
Closes: 532492 539952 555577 565979
Changes: 
 lxterminal (0.1.7-1) unstable; urgency=low
 .
   * New upstream release (Closes: #532492, #539952, #565979)
     - Fix segfault after inaccessible configuration file
     - Fix accelerator-related bug
     - Set cwd of new tab equal to the cwd of the current tab for Linux only
     - Support "CTRL+Left Click" to use xdg-open to open URL with webbrowser
     - Use intltool to generate desktop file
     - Added option for cursor blinking.
     - Preferences are now sorted into 3 tabs.
     - Added login shell.
     - Removed "Transparent Background" checkbox (transparency still can be
       set via background color).
     - Fixed a bug which parameters with space cannot be fully sent with gio.
     - Added features to hide menubar and scrollbar
     - set tooltip (window title) on tabs
     - Update translation. Manual updated.
   * debian/control:
     - Added Vcs-Git and Vcs-Browser tags
     - Team maintainer: Debian LXDE Packaging Team
         <pkg-lxde-maintainers@lists.alioth.debian.org>
     - Put myself as uploader.
     - Bumped Stand-Version to 3.8.4
   * debian/rules:
     - Added -lX11 flag (Closes:#555577)
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 55a58f4ec4ec357935f420cbf1a573507c164e76 1353 lxterminal_0.1.7-1.dsc
 b689f753238faf610a361a524eca24e1583b7f94 253943 lxterminal_0.1.7.orig.tar.gz
 d0ff025aa3b05f60d95d45b9e4f392923498d922 8650 lxterminal_0.1.7-1.debian.tar.gz
 982c059127456f2bbce4167218316037750fc1b6 87070 lxterminal_0.1.7-1_i386.deb
Checksums-Sha256: 
 7093c358eb62ad02d181d7f7c9061b00726ff878459da26fdaa6185f1ce7028e 1353 lxterminal_0.1.7-1.dsc
 1209d760778c96150042b2248da258deed73c32fc140f9466ec838a5508c6a66 253943 lxterminal_0.1.7.orig.tar.gz
 ebf64b506026482291627d0aff2593390da8c26701ab6ceb1c8316860c8ab309 8650 lxterminal_0.1.7-1.debian.tar.gz
 bfbf23bd845573ef17d55df111882730e0371f2a096e26c40d634bd565f9fb5e 87070 lxterminal_0.1.7-1_i386.deb
Files: 
 68d8c11403ea66cf25eda13372631fb9 1353 x11 extra lxterminal_0.1.7-1.dsc
 b9123d3736c7c37a59c406ff4ee0b26c 253943 x11 extra lxterminal_0.1.7.orig.tar.gz
 bab5142eae53f6e875e1df213b6bb4c3 8650 x11 extra lxterminal_0.1.7-1.debian.tar.gz
 e0596d601793d3bca0267af5cf572afc 87070 x11 extra lxterminal_0.1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkueBw4ACgkQnQYz4bYlCYVn3gCfVRsf80tVrCoCl76Gf3dZsf9l
nK8AoJYjYRxOcEIalT9adxBcLnaUD8GW
=9iXJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 08:17:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:16:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.